petsc-3.4.2 2013-07-02

# TSGetAdapt

Get the adaptive controller context for the current method

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetAdapt(TS ts,TSAdapt *adapt)

Collective on TS if controller has not been created yet

### Input Arguments

ts -time stepping context

### Output Arguments

adapt -adaptive controller

### See Also

TSAdapt, TSAdaptSetType(), TSAdaptChoose()

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages